#ifndef _IPCP_H_
#define _IPCP_H_

#define	IPCP_MAXCODE	CODE_CODEREJ

#define	TY_IPADDRS	1
#define	TY_COMPPROTO	2
#define	TY_IPADDR	3

struct ipcpstate {
  struct  in_addr his_ipaddr;	/* IP address he is willing to use */
  u_long  his_compproto;

  struct  in_addr want_ipaddr;	/* IP address I'm willing to use */
  u_long  want_compproto;

  u_long  his_reject;		/* Request codes rejected by peer */
  u_long  my_reject;		/* Request codes I have rejected */
  int	  heis1172;		/* True if he is speaking rfc1172 */
};

struct compreq {
  u_short proto;
  u_char  slots;
  u_char  compcid;
};

extern struct ipcpstate IpcpInfo;
extern struct in_addr DefMyAddress;
extern struct in_addr DefHisAddress;

extern void IpcpInit(void);
extern void IpcpSendConfigReq(struct fsm *);
extern void IpcpSendTerminateAck(struct fsm *);
extern void IpcpSendTerminateReq(struct fsm *);
extern void IpcpDecodeConfig();
extern void IpcpDefAddress();
#endif
